The Gnome Chemistry Utils: gcu::CrystalView Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# gcu::CrystalView Class Reference

`#include <gcu/crystalview.h>`

Inheritance diagram for gcu::CrystalView:

List of all members.

## Public Member Functions
| CrystalView (CrystalDoc *pDoc)
| Constructor.
virtual | ~CrystalView ()
| Destructor.
virtual bool | Load (xmlNodePtr node)
virtual xmlNodePtr | Save (xmlDocPtr xml)
## Protected Attributes
gdouble | m_height
gdouble | m_width

## Detailed Description

The class representing a view of the model. Each document might have several views. Most methods are automatically called by the framework and should not be explicitely used in programs.

Definition at line 46 of file crystalview.h.

## Constructor & Destructor Documentation

gcu::CrystalView::CrystalView | ( | CrystalDoc * | pDoc | ) |

Constructor.

Parameters:

  | pDoc,: | a pointer to the CrystalDoc instance.

Creates a new view for the document.

virtual gcu::CrystalView::~CrystalView | ( |  | ) | `[virtual]`

Destructor.

The destructor of CrystalView.

## Member Function Documentation

virtual bool gcu::CrystalView::Load | ( | xmlNodePtr | node | ) | `[virtual]`

Parameters:

  | node,: | a pointer to the xmlNode containing the serialized view.

Loads the parameters of the view from an xmlNode.

virtual xmlNodePtr gcu::CrystalView::Save | ( | xmlDocPtr | xml | ) | `[virtual]`

Parameters:

  | xml,: | the xmlDoc used to save the document.

Returns:
  a pointer to the xmlNode containig the view parameters or NULL if an error occured.

## Member Data Documentation

gdouble gcu::CrystalView::m_height`[protected]`

The height of the widget.

Definition at line 78 of file crystalview.h.

gdouble gcu::CrystalView::m_width`[protected]`

The width of the widget.

Definition at line 82 of file crystalview.h.

The documentation for this class was generated from the following file:

- crystalview.h